Subject: RE: [PATCH] Freescale QUICC Engine USB Host Controller

From: "Joakim Tjernlund" <[email-masked]>
Date: Tue, 11 Mar 2008 22:32:07 +0100

> -----Original Message-----
> From: linuxppc-dev-bounces+joakim.tjernlund=[email-masked] [mailto:linuxppc-dev-
> bounces+joakim.tjernlund=[email-masked]] On Behalf Of Anton Vorontsov
> Sent: den 11 mars 2008 20:18
> To: [email-masked]; [email-masked]
> Subject: [PATCH] Freescale QUICC Engine USB Host Controller
> 
> This is patch adds support for the FHCI USB controller, as found
> in the Freescale MPC836x and MPC832x processors. It can support
> Full or Low speed modes.
> 
> Quite a lot hardware is doing by itself (SOF generation, CRC generation
> and checking), though scheduling and retransmission is on the software
> shoulders.
> 
> This controller does not integrate the root hub, so this driver also
> fakes an one-port hub. External hub is required to support more than
> one device.

Cool, can one turn this into a gadget driver too?

       Jocke